## org.python.core
Interface Loader

public interface Loader

A common interface for bytecode loaders. Jython 2.0 have two loaders, a standard loader and a Java2 SecureClassLoader. Both loader implements this interface.

Method Summary
`void` `addParent(java.lang.ClassLoader referent)` Add another classloader as a parent loader.
`java.lang.Class` `loadClassFromBytes(java.lang.String name, byte[] data)` Turn java byte codes into a class.

Method Detail

### loadClassFromBytes

    public java.lang.Class loadClassFromBytes(java.lang.String name,
                                              byte[] data)

  Turn java byte codes into a class.

### addParent

    public void addParent(java.lang.ClassLoader referent)

  Add another classloader as a parent loader. Dependent classes will searched in these loaders.

Jython homepage